Ptex: PtexReader::ErrorFace Class Reference

Ptex

Public Member Functions | Private Attributes | List of all members
PtexReader::ErrorFace Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::ErrorFace:

## Public Member Functions
| ErrorFace (void *errorPixel, int pixelsize, bool deleteOnRelease)
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid). More...
Public Member Functions inherited from PtexReader::ConstantFace
| ConstantFace (int pixelsize)
virtual bool | isConstant ()
| True if this data block is constant. More...
virtual void | getPixel (int, int, void *result)
| Read a single texel from the data block. More...
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)
Public Member Functions inherited from PtexReader::PackedFace
| PackedFace (Res resArg, int pixelsize, int size)
void * | data ()
virtual void * | getData ()
| Access the data from this data block. More...
virtual bool | isTiled ()
| True if this data block is tiled. More...
virtual Ptex::Res | tileRes ()
| Resolution of each tile in this data block. More...
virtual PtexFaceData * | getTile (int)
| Access a tile from the data block. More...
Public Member Functions inherited from PtexReader::FaceData
| FaceData (Res resArg)
virtual | ~FaceData ()
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block. More...

## Private Attributes
bool | _deleteOnRelease

## Additional Inherited Members
Protected Member Functions inherited from PtexReader::PackedFace
virtual | ~PackedFace ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead. More...
Protected Attributes inherited from PtexReader::PackedFace
int | _pixelsize
char * | _data
Protected Attributes inherited from PtexReader::FaceData
Res | _res

## Detailed Description

Definition at line 410 of file PtexReader.h.

## Constructor & Destructor Documentation

## ◆ ErrorFace()

PtexReader::ErrorFace::ErrorFace | ( | void * | errorPixel,
|  | int | pixelsize,
|  | bool | deleteOnRelease
| ) |  |
| inline

Definition at line 413 of file PtexReader.h.

References PtexReader::MetaData::LargeMetaData::_data.

## Member Function Documentation

## ◆ release()

virtual void PtexReader::ErrorFace::release | ( |  | ) |
| inlinevirtual

Release resources held by this pointer (pointer becomes invalid).

Reimplemented from PtexReader::FaceData.

Definition at line 418 of file PtexReader.h.

## Member Data Documentation

## ◆ _deleteOnRelease

bool PtexReader::ErrorFace::_deleteOnRelease
| private

Definition at line 411 of file PtexReader.h.

The documentation for this class was generated from the following file:

- PtexReader.h